cancel
Showing results for 
Search instead for 
Did you mean: 

Archives Discussions

the729
Journeyman III

calInit() seg fault

On Ubuntu 9.10 x64 with 9.12 hotfix driver and CAL 1.4 or 2.0

calInit() cause segmentation fault. However, cal sample hellocal can correctly obtain cal version (which is 1.4.515) before seg fault.

Did anyone meet the same problem?

Tags (1)
0 Likes
4 Replies
rahulgarg
Adept II

calInit() seg fault

Ubuntu 9.10 (and in general kernels >= 2.6.31) seem to have some problems with CAL.  See this thread for similar problems with a previous version of CAL:

http://forums.amd.com/devforum/messageview.cfm?catid=328&threadid=121482&enterthread=y

As for hellocal, it seems to call calGetVersion before calInit. So it prints out a version number then crashes.

0 Likes
the729
Journeyman III

calInit() seg fault

Thank you rahulgarg. I downgrade to 2.6.28 and it works.

0 Likes
emuller
Journeyman III

calInit() seg fault

I'm running Ubuntu 9.10 as well.  The 2.6.31.11 kernel is working for me, while .15 and .16 segfault as described.

 

 

0 Likes
the729
Journeyman III

calInit() seg fault

emuller, thank you for the note.

2.6.31-14 is the oldest kernel I can find in 9.10 repository. However, the driver fails to install on that kernel. I don't know why.

Anyway, 2.6.28-17 from 9.04 repository works fine for me!

0 Likes